import { EventEmitter } from '../../stencil-public-runtime';
export declare class SpwTabs {
    el: HTMLSpwTabsElement;
    /** Onglet actif par défaut */
    defaultActiveTab: string;
    /** Variante des onglets */
    variant: 'default' | 'box';
    /** Texte coupé si trop long, affiche un tooltip si le contenu excède la max-width définie */
    hasEllipsis?: boolean;
    /** Définit la largeur maximale de l'onglet (en pixels) */
    maxWidth?: number;
    /** Permet de spécifier la taille de l'onglet */
    size?: 'large' | 'medium' | 'small';
    /** Onglet actuellement actif */
    activeTab: string;
    /** Événement émis lorsque l'onglet actif change */
    tabChanged: EventEmitter<string>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    activeTabChanged(): void;
    maxWidthChanged(): void;
    hasEllipsisChanged(): void;
    /**
     * Récupère l'onglet actuellement sélectionné
     * @returns {Promise<string>} L'ID de l'onglet actif
     */
    getSelectedTab(): Promise<string>;
    /**
     * Définit l'onglet sélectionné
     * @param tabId L'ID de l'onglet à sélectionner
     * @returns {Promise<void>}
     */
    setSelectedTab(tabId: string): Promise<void>;
    handleTabSelected(event: CustomEvent<string>): void;
    slotChanged(): void;
    private updateActiveStates;
    private applyMaxWidthToChildren;
    private applyVariantToChildren;
    private get elementClass();
    render(): any;
}
